NeoSyntropyAPI

API / Quickstart

Make your first API request

Create one workspace key, choose a model alias, and send a server-side request.

1. Configure the API

Environmentbash
NEOSYNTROPY_BASE_URL=https://api.neosyntropy.com/api/v1
NEOSYNTROPY_API_KEY=nsk_...

2. List available models

cURLbash
curl -sS https://api.neosyntropy.com/api/v1/models \
  -H "Authorization: Bearer $NEOSYNTROPY_API_KEY"

3. Send a request

cURLbash
curl -sS https://api.neosyntropy.com/api/v1/chat/completions \
  -H "Authorization: Bearer $NEOSYNTROPY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "neosyntropy-base",
    "messages": [{"role": "user", "content": "Extract order NS-1042."}]
  }'